#!/bin/sh

# path
ROOT=`readlink -f $(dirname $0)`

APP=`dirname "$0"`
APP=`cd "$APP";pwd`
VM="$APP/Contents/Linux/"
RESOURCES="$APP/Contents/Resources"
image="$RESOURCES/drgeo.image"

# icon (note: gvfs-set-attribute is found in gvfs-bin on Ubuntu
# systems and it seems to require an absolute filename)
gvfs-set-attribute \
	"$0" \
	"metadata::custom-icon" \
	"file://$RESOURCES/drgeo.png" \
		2> /dev/null


# execute
exec "$VM/pharo" \
	-plugins "$VM" \
	-encoding utf-8 \
	-vm-display-X11 \
	"$image"
